unit uViewUsuarios;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, uViewGrid, cxStyles, cxCustomData, cxGraphics, cxFilter, cxData,
  cxDataStorage, cxEdit, DB, cxDBData, dxPSGlbl, dxPSUtl, dxPSEngn, dxPrnPg,
  dxBkgnd, dxWrap, dxPrnDev, dxPSCompsProvider, dxPSFillPatterns,
  dxPSEdgePatterns, dxPgsDlg, dxPSCore, ImgList, PngImageList, ActnList,
  cxGridCustomPopupMenu, cxGridPopupMenu, dxPScxCommon, dxPScxGrid6Lnk,
  uDAInterfaces, uDADataTable, TB2Item, TBX, TB2Toolbar, TBXDkPanels, TB2Dock,
  uViewFiltroBase, cxGridLevel, cxClasses, cxControls, cxGridCustomView,
  cxGridCustomTableView, cxGridTableView, cxGridDBTableView, cxGrid,
  uBizUsuarios;

type
  IViewUsuarios = interface(IViewGrid)
  ['{2F46A4FC-6501-47B2-AAB3-28B552DDA455}']
    function GetUsuarios: IBizUsuario;
    procedure SetUsuarios(const Value: IBizUsuario);
    property Usuarios: IBizUsuario read GetUsuarios write SetUsuarios;
  end;

  TfrViewUsuarios = class(TfrViewGrid, IViewUsuarios)
    cxGridViewID: TcxGridDBColumn;
    cxGridViewUSERNAME: TcxGridDBColumn;
    cxGridViewLOGIN: TcxGridDBColumn;
    cxGridViewPASS: TcxGridDBColumn;
    cxGridViewPASSEXPIRED: TcxGridDBColumn;
    cxGridViewBLOQUEADO: TcxGridDBColumn;
    cxGridViewEMAIL: TcxGridDBColumn;
    cxGridViewUSERDAYSSUN: TcxGridDBColumn;
    cxGridViewPRIVILEGED: TcxGridDBColumn;
    cxGridViewTIPO: TcxGridDBColumn;
    cxGridViewID_PERFIL: TcxGridDBColumn;
  protected
    FUsuarios : IBizUsuario;
    function GetUsuarios: IBizUsuario;
    procedure SetUsuarios(const Value: IBizUsuario);
  public
    property Usuarios: IBizUsuario read GetUsuarios write SetUsuarios;
  end;


implementation

{$R *.dfm}

{ TfrViewUsuarios }

function TfrViewUsuarios.GetUsuarios: IBizUsuario;
begin
  Result := FUsuarios;
end;

procedure TfrViewUsuarios.SetUsuarios(const Value: IBizUsuario);
begin
  FUsuarios := Value;
  if Assigned(FUsuarios) then
    dsDataSource.DataTable := FUsuarios.DataTable;
end;

end.
